//
//  StreamMonitorController.h
//  GlowWorm
//
//  Created by Curtis Jones on 2007.02.21.
//  Copyright 2007 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <GlowWormPckt.h>
#import "StreamMonitorDataView.h"
#import "StreamMonitorSocketTableDataSource.h"


@interface StreamMonitorController : NSObject
{
	IBOutlet NSWindow			* mMonitorWin;
	IBOutlet NSTableView	* mSocketTbl;
	IBOutlet NSScrollView	* mDataScrollView;
	IBOutlet NSButton			* mPauseBtn;
	IBOutlet NSButton			* mClearBtn;
	IBOutlet StreamMonitorDataView * mDataView;
	
	// list of StreamMonitorDataView's, in the order
	// that they appear in the socket list
	//
	// display the correct one when the selection 
	// changes.
	//
	NSMutableArray * mList;
	NSMutableDictionary * mListByName;
	StreamMonitorSocketTableDataSource * mSocketSrc;
	
	BOOL mHault;
	NSNumber * mPcktId;
}

- (id)initWithPcktId:(NSNumber *)aPcktId;

- (void)stop;

- (void)addData;
- (void)addData:(GlowWormPckt *)aPacket;

@end
